function bgblob_callback(src,eventdata)
%default bgblob_callback for single-axis graphs

handles=guidata(src);
udata=get(handles.fakeax(handles.activeindex),'userdata');
uicontrol(handles.dummyobj)

bgblobs=findobj(handles.tabobjects,'tag','bgblob');
set(bgblobs,'value',0);
set(src,'value',1);

newidx=get(src,'userdata');
udata.format.bg=newidx;
set(handles.fakeax(handles.activeindex),'userdata',udata);

%get colors:
axescolors=handles.colors.axes{newidx};
fgcolor=axescolors(1,:);
bgcolor=axescolors(2,:);
lightgrid=axescolors(3,:);
stronggrid=axescolors(4,:);

%change colors
set(handles.fakerax(handles.activeindex),'color',bgcolor,'xcolor',lightgrid,'ycolor',lightgrid)
set(handles.fakeax(handles.activeindex),'xcolor',stronggrid,'ycolor',stronggrid);
set(handles.activegraph,'xcolor',fgcolor,'ycolor',fgcolor,'zcolor',fgcolor);
set([get(handles.activegraph,'xlabel') get(handles.activegraph,'ylabel') get(handles.activegraph,'zlabel')],'color',fgcolor)