function h=ravedrawconstrainthyperslice(src,ai,selectedconstraints) %#ok<INUSD>
%note: src MUST be the handle of the graph in which to draw the constraint.
% ai is the index of the graph containing the axes in src (as the main axes or a subax)
% thisconstraint is an index into the constraint list.
% h is the handles of all lines created by this function.
%
% RAVE Rapid Analysis and Visualization Environment
% Copyright (C) 2010 Georgia Tech Research Corporation
% ALL RIGHTS RESERVED
% 
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; version 2
% of the License.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
h=[];

handles=guidata(src);
udata=get(handles.fakeax(ai),'userdata');

d=udata.view.dataset;
a=udata.view.analysis;

xcol=udata.view.x;
ycol=xcol;

for q=1:length(selectedconstraints)
    for r=numel(ycol):-1:1,
        for c=numel(xcol):-1:1,
            if r==c;continue;end
            thisconstraint=selectedconstraints(q);
            if thisconstraint==0;continue;end
            
            x=xcol(c);
            y=ycol(r);
            h=ravedrawconstraint2D(handles.subax{ai}(r,c),x,y,d,a,thisconstraint,ai);
        end
    end
end
