function raveupdatescatterrowcolors(src,ev)
%
% RAVE Rapid Analysis and Visualization Environment
% Copyright (C) 2010 Georgia Tech Research Corporation
% ALL RIGHTS RESERVED
% 
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; version 2
% of the License.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
handles=guidata(src);
getudata;
ai=handles.activeindex;
   

if udata.view.c==0
    if udata.format.ncolor
        c=handles.prefs.rowcolors(handles.rowcolors{udata.view.dataset}{udata.view.analysis})'+10*rand(length(x),1)-.5; %noisy colors
    else
        c=handles.prefs.rowcolors(handles.rowcolors{udata.view.dataset}{udata.view.analysis})'; %non-noisy colors cdata=0.5
    end
else
    return
end

nothidden=handles.isvisible{udata.view.dataset}{udata.view.analysis};
cdata=c(nothidden);

target=findobj(handles.activegraph,'tag','main');
set(target,'cdata',cdata);

%                     set(selected,'xdata',handles.temp.xdata(inpoints),'ydata',handles.temp.ydata(inpoints),...
%                             'cdata',handles.temp.cdata(inpoints),'sizedata',handles.temp.sdata(inpoints),'visible','on','userdata',inpoints);
if udata.view.s==0 %isallonesize
    set(get(target,'children'),'markersize',sqrt(udata.format.minmarkersize));
end
%end