function pointselectscattermatrix(src,ev) %#ok<INUSD>
%determine which point was clicked:
handles=guidata(src);

ai=get(gca,'userdata');

udata=get(handles.fakeax(ai),'userdata');

allkidz=cell2mat(get(handles.subax{ai},'children'));
%targets=findobj(allkidz,'tag','main','-or','tag','selected');

handles.temp.selected=findobj(allkidz,'tag','selected');

clicked=get(gca,'currentpoint');

xclick=clicked(1,1,1);
yclick=clicked(1,2,1);

inpoints=ravefindclosestpoint2D(xclick,yclick,src);

%determine color of clicked point:
vispoints=find(handles.isvisible{udata.view.dataset}{udata.view.analysis});

%NOTE: this works with whichever points are VISIBLE, but
%ravefindclosestpoint only works with the selected data object, which gives
%errors if points have been recolored. 
inpoints=vispoints & inpoints;

%need to set all data properties so dimensions are correct.

switch udata.view.layout
    case 'square'
        xdata=handles.alldata{udata.view.dataset}(:,udata.view.x);
        ydata=handles.alldata{udata.view.dataset}(:,udata.view.x);
    otherwise
        xdata=handles.alldata{udata.view.dataset}(:,udata.view.x);
        ydata=handles.alldata{udata.view.dataset}(:,udata.view.y);
end

for r=1:size(handles.subax{ai},1)
    for c=1:size(handles.subax{ai},2)
    
        %if r==c;continue;end
        selected=findobj(handles.subax{ai}(r,c),'tag','selected');
 
        set(selected,'xdata',xdata(inpoints,c),'ydata',ydata(inpoints,r),'visible','on','userdata',inpoints);     

    end
end

handles.isselected{udata.view.dataset}{udata.view.analysis}=inpoints;

handles.lastd=udata.view.dataset;
handles.lasta=udata.view.analysis;

guidata(src,handles);

%update other graphs:
raveupdateanalysis(src,[],'isselected',1);

