function pointselecthistogram(src,ev)

handles=guidata(src);

if ~strcmp(handles.selectionmode,'point');return;end;
set(handles.infobar,'string','Shift+Click to add bars to current selection');

ai=get(gca,'userdata');
udata=get(handles.fakeax(ai),'userdata');
xdata=get(src,'xdata');

subax=get(src,'parent');
clicked=get(subax,'currentpoint');

xclick=clicked(1,1,1);

c=find(handles.subax{ai}==subax);

x=handles.alldata{udata.view.dataset}(:,udata.view.x(c)); %#ok<FNDSB>
nbars=udata.view.nbars-1;
edges=linspace(min(x),max(x),nbars+1);
[count bins]=histc(x,edges);


%find corresponding data range:
thisbin=find(abs((edges-xclick))==min(abs(edges-xclick)),1); %index of next largest edge. 

indata=bins==thisbin;

if strcmp(get(handles.fig,'selectiontype'),'extend')
    handles.isselected{udata.view.dataset}{udata.view.analysis}= handles.isselected{udata.view.dataset}{udata.view.analysis}|indata;
else
    handles.isselected{udata.view.dataset}{udata.view.analysis}=indata;
end


for c=1:numel(handles.subax{ai})
    selected=findobj(handles.subax{ai}(c),'tag','selected');
    x=handles.alldata{udata.view.dataset}(:,udata.view.x(c));
    nbars=udata.view.nbars-1; %dont make more bars than there are unique values.
    edges=linspace(min(x),max(x),nbars+1);
    selectedcount=histc(x(handles.isselected{udata.view.dataset}{udata.view.analysis}),edges);
    set(selected,'ydata',selectedcount);
end

handles.lastd=udata.view.dataset;
handles.lasta=udata.view.analysis;

guidata(handles.fig,handles);

raveupdateanalysis(src,ev,'isselected',1)
