function raveinitializeparallelcoords(src,ev)
%
% RAVE Rapid Analysis and Visualization Environment
% Copyright (C) 2010 Georgia Tech Research Corporation
% ALL RIGHTS RESERVED
% 
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; version 2
% of the License.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
handles=guidata(src);


x=[1 2];
y=0;
z=0;
c=0;

topfilter=ones(1,size(handles.alldata{1},2));
botfilter=zeros(1,size(handles.alldata{1},2));


udata.manage.israsterized=0;

d=1;
a=1;

%make viewtab info:
udata.view.analysis=a;
udata.view.dataset=d;
udata.view.x=x;
udata.view.y=y;
udata.view.z=z;
udata.view.c=c;
udata.view.s=0;
udata.view.response=0; %response check box value
udata.view.exclude=0; %exclude constant check box value
udata.view.pscale=[];
udata.view.gscale=[];
udata.view.maxfilter=topfilter;
udata.view.minfilter=botfilter;
udata.view.varmins=handles.minlimit{d}{a};
udata.view.varranges=handles.maxlimit{d}{a}-handles.minlimit{d}{a};
udata.view.maxlines=1000;
udata.view.maxlinesmode='top';
udata.view.usemaxlines=1;
udata.view.varorder=1:size(handles.alldata{1},2); %display order of variables from left to right.
udata.view.filtermode=1;
udata.view.offcolor=[.8 .8 .8]; %low constrast color for rows that have been filtered.
udata.view.filtered=[]; %index of lines that are currently filtered.
udata.view.mainhandles=[]; %handles in the order they were created. use to reference back to row numbers.
udata.view.selectedhandles=[];
udata.view.constraints=0;
udata.view.transform='none';

%make format tab info:
udata.format.bg=1; %index for background color;
udata.format.grid=2; %index for grid;
udata.format.marker='v'; % marker string
udata.format.markersize=8; %marker size
udata.format.mcmap=handles.prefs.defaultcolormap; %marker colormap 
udata.format.markercolor=handles.colors.text; %filter face color
udata.format.linestyle='-'; %line style string
udata.format.linesize=1; %line thickness;
udata.format.lcmap=handles.prefs.defaultcolormap; %line colormap 
udata.format.mcheck=1; %marker check box value
udata.format.lcheck=1; %line check box value
udata.format.colorbar=0;
udata.format.showlimits=0; %show text of current filter limits
udata.format.ncolor=1; %use noisy colors.
udata.format.reversecolors=0;
udata.format.nxlabelrows=0;



%make explre tab info:
udata.explore.option=[];
udata.explore.method=cell(0);

%set fakeax userdata (graph/tab info)
set(handles.fakeax(handles.activeindex),'userdata',udata);

%make the graph
ravecreateparallelcoords(handles.fig,[]);

