function raveinitializegoodness(src,ev)
%
% RAVE Rapid Analysis and Visualization Environment
% Copyright (C) 2010 Georgia Tech Research Corporation
% ALL RIGHTS RESERVED
% 
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; version 2
% of the License.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
handles=guidata(src);

udata.view.analysis=1;
udata.view.dataset=1;
udata.view.x=1;
udata.view.y=2;
udata.view.z=0;
udata.view.c=0;
udata.view.s=0;
udata.view.graphs=5; %1=actual vs pred 2=resid vs pred 3=MFE 4=MRE 5=All four of the above
udata.view.fitrows=['1-',num2str(size(handles.alldata{1},1))];
udata.view.unfitrows='';
udata.view.fitcol=1;
udata.view.unfitcol=1;
udata.view.usefitcol=0;
udata.view.useunfitcol=0;
udata.view.invertfitcol=0;
udata.view.invertunfitcol=0;
udata.view.round=0; %round predicted data to precision of actual data.


%make format tab info:
udata.format.bg=1; %index for background color;
udata.format.grid=2; %index for grid;
udata.format.fitmarker='o'; % marker string
udata.format.unfitmarker='o'; % marker string
udata.format.fitmarkersize=5; %min marker size (pixels^2)
udata.format.unfitmarkersize=5;
udata.format.markerfill=2; %marker fill style index.
udata.format.markerfitcolor=[0 0 1];
udata.format.markerunfitcolor=[1 0 0];

udata.format.nbars=20; %number of bars to draw.
udata.format.barwidth=0.8; %relative width of bars.
udata.format.drawedge=0;
udata.format.edgecolor=[0 0 0];
udata.format.facecolor=handles.colors.text;
udata.format.percenterror=1;
udata.format.nxlabelrows=0;

udata.explore.option=[];
udata.explore.method=cell(0);


set(handles.fakeax(handles.activeindex),'userdata',udata);

%update guidata
guidata(handles.fig,handles);

%make the graph
ravecreategoodness(handles.fig,[]);
