function raveinitializetableallpoints(src,ev)
handles=guidata(src);

%delete fakerax and replace with a uipanel:
udata.view.maxpos=get(handles.fakerax(handles.activeindex),'position');

delete(handles.fakerax(handles.activeindex));
handles.fakerax(handles.activeindex)=uipanel('units','pixels',...
    'parent',handles.wspanel,'position',get(handles.fakeax(handles.activeindex),'position')+[-2 7 -15 -16],...
    'bordertype','line','highlightcolor',[0 0 0]);
set(handles.fakeax(handles.activeindex),'parent',handles.fakerax(handles.activeindex));
set(handles.allgraphs(handles.activeindex),'parent',handles.fakerax(handles.activeindex));
uistack(handles.allgraphs(handles.activeindex),'top')
set(handles.grabbers{handles.activeindex},'buttondownfcn',@ravemovetable);

numrows=size(handles.alldata{1},1);
rownumbers=1:numrows;
%convert data into a cell array of strings:
rownumbers=num2cell(rownumbers);
for r=1:numrows
    rownumbers{r}=sprintf('%-6.0f',rownumbers{r});
end

udata.view.x=1:numel(handles.allnames{1});
udata.view.y=0;
udata.view.z=0;
udata.view.c=0;
udata.view.s=0;
udata.view.colnames=handles.allnames{1};
udata.view.colwidths=90*ones(1,numel(handles.allnames{1}));
udata.view.rowheight=16;
udata.view.allrows=1:numrows;
udata.view.dataset=1;
udata.view.analysis=1;
udata.view.rownames=rownumbers;
udata.view.data=handles.alldata{1};
udata.view.headerheight=22;
udata.view.headerwidth=10+10*ceil(log10(numrows));
udata.view.tight=1;
udata.view.hscroll=[];
udata.view.vscroll=[];
udata.view.rowheader=[];
udata.view.colheader=[];
udata.view.texthandles=[];
udata.view.showrows=[true true true false];
udata.view.rowlimit=1000;
udata.view.sortascending=true;

udata.format.colheadercolor=[222 234 241]./255;
udata.format.rowheadercolor=[222 234 241]./255;
udata.format.gridlinecolor=[.7 .7 .7];
udata.format.userowcolors=0;
udata.format.title='';
udata.format.titleaxes=[];
udata.format.allowselection=1;
udata.format.fontname='Arial';
udata.format.fontsize=10;
udata.format.fontstyle=0;
udata.format.textcolor=[0 0 0];
udata.format.unselectedcolor=[1 1 1];
udata.format.hiddencolor=[200 200 200]/255;
udata.format.selectedcolor=[154 202 250]/255;

%initialize subplot axes structure:
handles.subax{handles.activeindex}=[]; %used for row/column headers
handles.subfakeax{handles.activeindex}=[]; %these are never used for tables
handles.subfakerax{handles.activeindex}=[]; %these are never used for tables

set(handles.fakeax(handles.activeindex),'userdata',udata);

%update guidata
guidata(handles.fig,handles);

ravecreatetableallpoints(handles.fig,[]);
