function [jtable mtable jscroll]=raveuitable(src,position)
%makes a uitable at the specified position. Returns two handles: a
%UitablePeer with callbacks, and a matlab hgjavacomponent container.

handles=guidata(src);

if handles.useoldtables
    %old table:
    [junktable mtable]=uitable('parent',handles.fig,'position',position);
    jscroll=junktable.getFigureComponent;
    %newjtable=javax.swing.JTable;
    jviewport=jscroll.getViewport;
    jtable=jviewport.getView;

else %new table:
    mtable=uitable('parent',handles.fig,'units','pixels','position',position);
    jscroll=findjobj(mtable);
    h=jscroll.getComponents;
    viewport=h(1);
    a=viewport.getComponents;
    jtable=a(1); %com.mathworks.hg.peer.ui.UITablePeer
end