function rowtab(src,eventdata)
%
% RAVE Rapid Analysis and Visualization Environment
% Copyright (C) 2011 Georgia Tech Research Corporation
% ALL RIGHTS RESERVED
% 
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; version 2
% of the License.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.

ravechangetab(src,[]);

handles=guidata(src);

%move front tabs to front if necessary
if handles.fronttabsfront==1 %move swap fronttabs and backtabs
    backpos=get(handles.backtabaxes,'position');
    frontpos=get(handles.fronttabaxes,'position');
    set(handles.fronttabaxes,'position',backpos)
    set(handles.backtabaxes,'position',frontpos)
    [x,y,v]=calculatetabprofile(handles.fronttabprofile,.1,1,0); %#ok<NASGU>
    set(handles.fronttablines,'xdata',x,'ydata',y)
end
handles.fronttabsfront=0;

%delete(handles.tabobjects);
set(handles.infobar,'string','');

%raise this tab to top
[x,y,v]=calculatetabprofile(handles.backtabprofile,.1,4,1); %#ok<NASGU>
set(handles.backtablines,'xdata',x,'ydata',y)

origin=get(handles.tabaxes,'position');

udata=get(handles.fakeax(handles.activeindex),'userdata');
if ~isempty(udata)
    d=udata.view.dataset;
    a=udata.view.analysis;
else
    d=1;
    a=1;
end

handles.tabobjects=[];

guidata(src,handles);
