function bgblobsubax_callback(src,eventdata)
%default bgblob callback for graphs that use subaxes

handles=guidata(src);
udata=get(handles.fakeax(handles.activeindex),'userdata');
uicontrol(handles.dummyobj)

bgblobs=findobj(handles.tabobjects,'tag','bgblob');
set(bgblobs,'value',0);
set(src,'value',1);

newidx=get(src,'userdata');
udata.format.bg=newidx;
set(handles.fakeax(handles.activeindex),'userdata',udata);

%get colors:
axescolors=handles.colors.axes{newidx};
fgcolor=axescolors(1,:);
bgcolor=axescolors(2,:);
lightgrid=axescolors(3,:);
stronggrid=axescolors(4,:);

%change colors
set(handles.subfakerax{handles.activeindex},'color',bgcolor,'xcolor',lightgrid,'ycolor',lightgrid)
set(handles.subfakeax{handles.activeindex},'xcolor',stronggrid,'ycolor',stronggrid);
set(handles.subax{handles.activeindex},'xcolor',fgcolor,'ycolor',fgcolor,'zcolor',fgcolor);

set(cell2mat(get(handles.subfakerax{handles.activeindex},'xlabel')),'color',fgcolor);
set(cell2mat(get(handles.subfakeax{handles.activeindex},'xlabel')),'color',fgcolor);
set(cell2mat(get(handles.subax{handles.activeindex},'xlabel')),'color',fgcolor);

texts=findobj(handles.subax{handles.activeindex},'tag','axeslabel');
set(texts,'color',fgcolor,'backgroundcolor','none')


