function raveinitializetextbox(src,ev)
%
% RAVE Rapid Analysis and Visualization Environment
% Copyright (C) 2010 Georgia Tech Research Corporation
% ALL RIGHTS RESERVED
% 
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; version 2
% of the License.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
handles=guidata(src);

udata.view.analysis=1;
udata.view.dataset=1;
udata.view.expression='Text Box';
udata.view.autoupdate=1;
udata.view.constraints=0;
udata.view.x=[];
udata.view.y=[];
udata.view.z=[];
udata.view.s=[];
udata.view.c=[];


udata.format.fontname=handles.prefs.fonts.textbox;
udata.format.fontsize=18;
udata.format.fontstyle=0;

udata.format.edgecolor=[0 0 0];
udata.format.showedge=0;
udata.format.bg=1;
udata.format.bgcolor=handles.colors.wsbg;
udata.format.fg=1;
udata.format.color=handles.colors.textbox;

udata.explore.option=[];
udata.explore.method=cell(0);

set(handles.allblockers(handles.activeindex),'linewidth',1,'edgecolor','none')
set(handles.fakeax(handles.activeindex),'userdata',udata);

%update guidata
guidata(handles.fig,handles);

ravecreatetextbox(handles.fig,[]);




