function raveupdatescattermatrixisselected(src,ev)
%
% RAVE Rapid Analysis and Visualization Environment
% Copyright (C) 2010 Georgia Tech Research Corporation
% ALL RIGHTS RESERVED
% 
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; version 2
% of the License.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
handles=guidata(src);
getudata;
ai=handles.activeindex;

d=udata.view.dataset;
a=udata.view.analysis;

inpoints=handles.isselected{d}{a};

switch udata.view.layout
    case {'square';'upper';'lower'}
        handles.temp.xdata=handles.alldata{udata.view.dataset}(:,udata.view.x);
        handles.temp.ydata=handles.alldata{udata.view.dataset}(:,udata.view.x);
        
        
        
    otherwise
        handles.temp.xdata=handles.alldata{udata.view.dataset}(:,udata.view.x);
        handles.temp.ydata=handles.alldata{udata.view.dataset}(:,udata.view.y);
end


%update other scatters:
for r=1:size(handles.subax{ai},1)
    for c=1:size(handles.subax{ai},2)
        
        %if r==c;continue;end
        selected=findobj(handles.subax{ai}(r,c),'tag','selected');
        set(selected,'xdata',handles.temp.xdata(inpoints,c),'ydata',handles.temp.ydata(inpoints,r),'visible','on','userdata',inpoints);
        
    end
end
