function raveupdatehistogramisselected(src,ev)
%
% RAVE Rapid Analysis and Visualization Environment
% Copyright (C) 2010 Georgia Tech Research Corporation
% ALL RIGHTS RESERVED
% 
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; version 2
% of the License.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
handles=guidata(src);
getudata;
ai=handles.activeindex;

a=udata.view.analysis; %#ok<NASGU>
d=udata.view.dataset; %data set index


nothidden=handles.isvisible{d}{a};
isselected=handles.isselected{d}{a};

if isempty(nothidden);return;end % empty data set;

for c=1:numel(handles.subax{ai})
    %main=findobj(get(handles.subax{ai}(c),'children'),'tag','main');
    selected=findobj(get(handles.subax{ai}(c),'children'),'tag','selected');
    x=handles.alldata{udata.view.dataset}(:,udata.view.x(c));
    nbars=udata.view.nbars-1; %dont make more bars than there are unique values.
    edges=linspace(min(x),max(x),nbars+1);
    selectedcount=histc(x(isselected & nothidden),edges);
    set(selected,'ydata',selectedcount);
end