function raveinitializeimage(src,ev)
%
% RAVE Rapid Analysis and Visualization Environment
% Copyright (C) 2010 Georgia Tech Research Corporation
% ALL RIGHTS RESERVED
% 
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; version 2
% of the License.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
handles=guidata(src);

set(handles.fakeax(handles.activeindex),'visible','off')
set(handles.fakerax(handles.activeindex),'visible','off')

set(handles.allgraphs(handles.activeindex),'xticklabel','','yticklabel','')



%viewtab info:
udata.view.x=[];
udata.view.y=[];
udata.view.z=[];
udata.view.c=[];
udata.view.s=[];
udata.view.path=handles.defaultdir;
udata.view.filename='';
udata.view.dataset=1;
udata.view.analysis=1;
udata.view.invalid=1; %invalid until a file is selected.
udata.view.linked=0;

%make format tab info:
udata.format.bg=1; %index for background color;
udata.format.grid=1; %index for grid;

udata.format.bold=[0 0 0 0];
udata.format.linecolor=[0 .5 1;1 0 .5;1 .5 0;.5 1 0]; %main data series color;

set(handles.fakeax(handles.activeindex),'userdata',udata);

%update guidata
guidata(handles.fig,handles);

%make the graph
ravecreateimage(handles.fig,[]);
