function raveupdatetablesinglepoint(src,ev)
%create data for table based on udata.view

handles=guidata(src);
udata=get(handles.fakeax(handles.activeindex),'userdata');

d=udata.view.dataset;
a=udata.view.analysis;

udata.view.rownames=handles.allnames{d}(udata.view.y);
if udata.view.showcurrentpoint
    indata=handles.xdials{d}{a};
    outdata=raveevaluateregression(handles.fig,d,udata.view.y,indata);
    udata.view.data=outdata';

else
    udata.view.data=handles.alldata{d}(udata.view.row,udata.view.y)';
end

set(handles.fakeax(handles.activeindex),'userdata',udata)
ravecreatetablesinglepoint(src,ev);


