function horizscroll(src,eventdata,fighandle) %#ok

% RAVE Rapid Analysis and Visualization Environment
% Copyright (C) 2010 Georgia Tech Research Corporation
% ALL RIGHTS RESERVED
% 
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; version 2
% of the License.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% Written by: Matthew Daskilewicz mdaskilewicz@asdl.gatech.edu


src=fighandle;

%load handles
handles=guidata(src);
%get currentview position
cvpos=get(handles.currentview,'position');
%get new vertical centerpoint
newpos=get(handles.hscroll,'value');
%construct "clicked" vector
clicked=round([newpos cvpos(2)+cvpos(4)/2]);
ravemoveview(handles.fig,[],clicked);
