function ravensgaii_export(src,ev)
%export current population of NSGAII to text file.

handles=guidata(src);
udata=get(handles.fakeax(handles.activeindex),'userdata');

%prompt for file name:
[name path]=uiputfile('*.txt','Choose a destination','pareto_data.txt');
dest=[path name];

%make string of names:

allnames=handles.allnames{udata.view.dataset};


alldata=[handles.temp.finalpop];

%evaluate population for all responses:


index=find(handles.isfunction{udata.view.dataset});

for j=index
    alldata(:,j)=raveevaluateregression(handles.funnames{udata.view.dataset}{j},alldata,handles.nargout{udata.view.dataset}(j));    
end


fid=fopen(dest,'w');
for t=1:numel(allnames)
    fprintf(fid,'%s\t',allnames{t});
    %fprintf(fid,'%s','\t');
end
fprintf(fid,'%s\n','');

fclose(fid);


dlmwrite(dest,alldata,'-append');










