function ravefixtabs(src,ev)
%resets tabs in case they get screwed up by an error while loading a new tab. 
% RAVE Rapid Analysis and Visualization Environment
% Copyright (C) 2010 Georgia Tech Research Corporation
% ALL RIGHTS RESERVED
% 
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; version 2
% of the License.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% Written by: Matthew Daskilewicz mdaskilewicz@asdl.gatech.edu

handles=guidata(src);
lasttab=handles.activetab;


delete(handles.tabobjects(ishandle(handles.tabobjects)));


handles.tabobjects=[];
guidata(src,handles);

%find objects that got left behind:
junks=findobj(handles.fig,'type','uicontrol','-or','type','axes','-or','type','javacomponent');
posses=cell2mat(get(junks,'pos'));
origin=get(handles.tabaxes,'position');
trash=posses(:,1)>origin(1) & posses(:,1)<origin(1)+origin(3) & posses(:,2)>origin(2) & posses(:,2)<origin(2)+origin(4);
delete(junks(trash));

junktxt=findobj(handles.tabaxes,'type','text');
delete(junktxt);


managetab(src,ev);

