function raveprefs=ravevalidateprefs(raveprefs)
%checks the raveprefs structure to ensure it is up to date. Adds any new
%preferences at their new default values.

newprefs=ravemakedefaultprefs;

newfields=fieldnames(newprefs);
oldfields=fieldnames(raveprefs);
for n=1:numel(newfields)
    if ~ismember(newfields{n},oldfields)
        raveprefs.(newfields{n})=newprefs.(newfields{n});        
    end
end

newfields=fieldnames(newprefs.colors);
oldfields=fieldnames(raveprefs.colors);
for n=1:numel(newfields)
    if ~ismember(newfields{n},oldfields)
        raveprefs.colors.(newfields{n})=newprefs.colors.(newfields{n});        
    end
end

newfields=fieldnames(newprefs.fonts);
oldfields=fieldnames(raveprefs.fonts);
for n=1:numel(newfields)
    if ~ismember(newfields{n},oldfields)
        raveprefs.fonts.(newfields{n})=newprefs.fonts.(newfields{n});        
    end
end

newfields=fieldnames(newprefs.animation);
oldfields=fieldnames(raveprefs.animation);
for n=1:numel(newfields)
    if ~ismember(newfields{n},oldfields)
        raveprefs.animation.(newfields{n})=newprefs.animation.(newfields{n});        
    end
end